// Copyright (C) 2007 Electronic Arts    

#ifndef EA_JOB_UTIL_ALIGN_H
#define EA_JOB_UTIL_ALIGN_H

namespace EA
{ 
    namespace Jobs
    {
        namespace UtilDetail
        {
            //----------------------------------------------------------------------
            inline char * Align(char * ptr)
            {
                size_t n = reinterpret_cast<size_t>(ptr);        
                return reinterpret_cast<char*>((n + (16-1)) & ~(16-1));
            }
        }
    }
}

#endif